
CN Index - Task #3003

Story # 3760 (Closed): Index Maintenance Story

Task # 3002 (Closed): Update metadata parsing rules for metadata returned from Dryad

Update parsing rules to handle Dryad metadata 

2012-06-21 21:39 - Dave Vieglais

Status: Closed Start date: 2012-06-21

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Documented at: http://mule1.dataone.org/ArchitectureDocs-current/design/SearchMetadata_dryad.html

Examples in:

https://repository.dataone.org/software/cicore/trunk/cn/d1_cn_index_processor/src/test/resources/science_metadata/dryad/

History

#1 - 2012-06-25 17:39 - Skye Roseboom

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

#2 - 2012-07-05 18:38 - Skye Roseboom

- Milestone changed from CCI-1.0.3 to CCI-1.1

#3 - 2012-08-31 18:09 - Skye Roseboom

- Milestone changed from CCI-1.1 to CCI-1.0.4

placing in 1.0.4 to release if dryad MN implementation is ready for 1.0.4 timing wise.

#4 - 2012-08-31 18:11 - Skye Roseboom

- Status changed from New to In Progress

#5 - 2012-09-05 17:29 - Skye Roseboom

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.37-Block.5.3

- Milestone changed from CCI-1.0.4 to CCI-1.1

#6 - 2012-10-02 20:03 - Skye Roseboom

- Milestone changed from CCI-1.1 to CCI-1.2

#7 - 2012-10-05 16:18 - Skye Roseboom

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.44-Block.6.2

#8 - 2012-12-12 18:37 - Skye Roseboom

- Target version deleted (Sprint-2012.44-Block.6.2)

#9 - 2013-02-21 18:52 - Skye Roseboom

- Milestone changed from CCI-1.2 to CCI-1.1.2
#10 - 2013-02-21 19:10 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

Updated and verified dryad parsing rules for http://datadryad.org/profile/v3.1.  Updated unit test SolrFieldXPathDryadTest class with new dryad

science metadata document examples.

#11 - 2013-02-21 19:10 - Skye Roseboom

- Estimated time set to 0.00

- Status changed from Closed to In Progress

#12 - 2013-02-21 19:10 - Skye Roseboom

- Status changed from In Progress to Testing

#13 - 2013-10-29 15:49 - Skye Roseboom

- Product Version set to 1.2.3

- Status changed from Testing to Closed
